﻿
.xsmall {
    font-size: 0.7em;
}

.prm-id {
    font-size: 0.7em;
    background-color: #e6e7e8;
    padding: 2px 4px;
}

.p-area {
    text-transform: uppercase;
}

/*	.p-area:first-letter {
		text-transform: uppercase;
	}*/

.dqa-form-captcha {
    display: -ms-flexbox;
    display: flex;
}

.dqa-captcha-text {
    margin-left: 0px;
}

.dqa-captcha-input {
    width: 100%;
}

.content-box {
    display: block;
    font-size: 0.875rem;
    font-weight: 400;
    line-height: 1.8;
    color: var(--bs-body-color);
    background-color: #fff;
    border: var(--bs-border-width) solid var(--bs-border-color);
    border-radius: var(--bs-border-radius);
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

ul.list-inline > li {
    margin-right: 1.5rem;
    margin-bottom: 1rem;
}

ul.li-mb-0 > li {margin-bottom: 0;}

.form-select-short, .form-text-short {
    display: inline-block;
    width: auto;
    vertical-align: middle;
}

.edit-bg {
    background-color: #F5F5F0;
}

.search-box{

}

.search-element-box {
    display: inline-block;
    flex-basis: auto;
    margin-bottom: 1rem;
    margin-right: 1rem;
}


/* Simple style for dropdown autocomplete */
.autocomplete-results {
    border: 1px solid #ccc;
    max-height: 150px;
    overflow-y: auto;
    position: absolute;
    background: #fff;
    z-index: 1000;
    width: 200px;
}

.autocomplete-item {
    padding: 8px;
    cursor: pointer;
}

    .autocomplete-item:hover {
        background-color: #eee;
    }




.asp-custom-menu {
    width:100%;
    border-bottom: var(--bs-nav-tabs-border-width) solid var(--bs-nav-tabs-border-color) !important;
}

    .asp-custom-menu a.selected {
        background-color: var(--bs-nav-tabs-link-active-bg) !important;
        border-color: var(--bs-nav-tabs-link-active-border-color) !important;
        color: var(--bs-nav-tabs-link-active-color) !important;
    }



.accordion-tab {
    font-size: 1rem;
}


.semaforo {
    width: 12px;
    height: 12px;
    border-radius: 50%;
}


/*bell notoifications*/

.dd-bell > li:not(:last-child) {
    border-bottom: 1px solid var(--bs-dropdown-divider-bg);
    opacity: 1;
}

.dd-bell-li {
    padding: 0.6rem 1rem;
}


/*dataTables*/

table thead th.dt-type-numeric.dt-center {
    text-align: left;
}
table.dataTable tr td.dt-type-numeric.dt-center {
    text-align: center;
}

/*modals*/

.n-bt {
    border-top: none;
}

/*boxes*/


.box-control-noedit {
    border-radius: 0.25rem;
    padding: 1rem;
    border: 1px solid #0000002d;
    background-color: #fff;
}

.box-control-edit {
    border-radius: 0.25rem;
    padding: 1rem;
    border: 3px solid #C4CC67;
    background-color: #F5F5F0;
}

.box-card-edit {
    border-radius: 0.25rem;
    border: 3px solid #C4CC67;
    background-color: #F5F5F0;
}


.i-box {
    font-weight: 400;
    line-height: 1.5;
    color: #4b4b5a;
    vertical-align: middle;
    background-color: #F1F2F2;
    padding: 1rem;
    font-size: 0.875rem;
    border-radius: 0.25rem;
    display: flex;
    align-items: center;
    gap: 1rem;
}

.i-box-warnning {
    border: 3px solid #ffde1f;
}

.i-box-info {
    border: 3px solid #a2c6db;
}

/*table dnd*/
.tb-dnd:hover {
    cursor: -webkit-grab;
    cursor: grab;
}
.tb-dnd-drag {
    background-color: #fff;
    cursor: -webkit-grabbing;
    cursor: grabbing !important;
}
    .tb-dnd-drag:active {
        cursor: -webkit-grabbing;
        cursor: grabbing !important;
    }


    /*graphic templates And Cards*/

.card-body-1 {
    padding: 0.25rem;
}
.card-body-2 {
    padding: 0.5rem;
}
.card-body-3 {
    padding: 1rem;
}


.gt-card:hover {
    background-color: #dee0d0;
}

.gt-card-selec {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    align-items: center;
}

.image-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 1rem;
    font-size: 0.75rem;
}


.selection-box {
    height: 10rem;
    min-width: 10rem;
    flex-grow: 10;
}


.center-center {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}

.df-left-center {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
}

/*color picker btn*/
.color-picker-btn {
    border-color: #d1d3d4;
    height: 80px;
}

/* imagens de conteudo - podem ser mais que 1 por cada definição*/

.ct-img-definitions {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    gap: 3rem;
}


.ct-img-definitions-v {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: space-between;
    gap: 1rem;
}


.card-img-xtd {
    border-top-left-radius: var(--bs-border-radius) !important;
    border-top-right-radius: var(--bs-border-radius) !important;
    border-bottom-left-radius: 0 !important;
}

@media (min-width: 992px) {
    .card-img-xtd {
        border-top-left-radius: var(--bs-border-radius) !important;
        border-top-right-radius: 0 !important;
        border-bottom-left-radius: var(--bs-border-radius) !important;
    }
}

    .rounded-start {
        border-bottom-left-radius: var(--bs-border-radius) !important;
        border-top-left-radius: var(--bs-border-radius) !important;
    }


    .ct-img-icmds {
        display: flex;
        justify-content: space-evenly;
        align-items: center;
        padding: 1rem;
    }

    .icmd-icon-x {
        display: block;
        margin: 0.2rem 0.5rem;
    }

    .alb-img-info {
        display: flex;
        justify-content: space-between;
    }

    .alb-img-info-sec {
        font-size: inherit;
    }

    @media (min-width: 768px) {
        .alb-img-info {
            display: flex;
            flex-wrap: wrap;
            align-content: flex-start;
            gap: 0.5rem 1rem;
        }

        .alb-img-info-sec {
            font-size: 12px;
        }
    }

    @media (min-width: 1200px) {
        .alb-img-info-sec {
            font-size: inherit;
        }
    }




    /*image and icon commands*/

    .img-and-icmds {
        display: flex;
        justify-content: space-between;
    }

    .img-flex {
        max-height: 350px;
    }

    .icmds {
        display: flex;
        flex-direction: column;
        align-items: center;
        padding: 0.2rem 0.5rem 0 1rem;
    }

    .icmd-icon {
        display: block;
        margin: 0.5rem 0.2rem;
    }

    /*export*/

    .tab-export_container {
        float: right;
        margin-top: -3rem;
    }

    /*cursor*/
    .c-help {
        cursor: help;
    }

    input:disabled {
        cursor: not-allowed !important;
        pointer-events: all !important;
    }
    /*icons*/

    .ico-a {
        color: #81818B;
    }

        .ico-a:hover {
            color: #9CA537;
        }

    .ico-a-brand {
        color: #bac34c;
    }

        .ico-a-brand:hover {
            color: #9CA537;
        }

    .ico-a-del:hover {
        color: #4B4B5A;
    }

    .ico-xs {
        transform: scale(1);
    }

    .ico-sm {
        transform: scale(1.25);
    }

    .ico-md {
        transform: scale(1.50);
    }

    .ico-lg {
        transform: scale(1.75);
    }

    .ico-xl {
        transform: scale(2.5);
    }


    .ico-noimage {
        font-size: 2.5rem;
    }




    hr.ctrl-sep {
        border: 1px solid #C0C000;
    }

    f-idiomas {
        font-size: 0.75rem;
    }

    .f-brand-dark {
        color: #9ca537;
    }

    .va-c {
        vertical-align: middle;
    }

    .link-clear {
        text-transform: lowercase;
        text-decoration: none;
    }

    .txt-lt {
        text-decoration: line-through;
    }

    .txt-t-l {
        text-align: left;
        vertical-align: top;
    }

    .txt-t-r {
        text-align: right;
        vertical-align: top;
    }

    .ta-r {
        text-align: right;
    }

    .txt-c-fl::first-letter {
        text-transform: uppercase;
    }


    #html .mt-xl-6 {
        margin-top: 2.5rem;
    }

    #html .mt-xl-7 {
        margin-top: 3rem;
    }

    #html .mt-xl-8 {
        margin-top: 3.5rem;
    }


    .side-container {
        margin-top: 0;
    }

    @media (min-width: 1200px) {
        .side-container {
            margin-top: 2rem;
        }
    }